summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 12:32:35 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:25 +0000
commit28bf922739591ea47800fae36a77e17f4f3ec7ae (patch)
treefcfd6badb286e8429986e13b629be38087dac684 /coin/provisioning
parentcec7c072838359522ad2743e765d0c6315de907c (diff)
Add set -ex to provisioning scripts for macos-10.12
Change-Id: Ieea4f84909c552728614a4d3c23d4c8ab9134fb2 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning')
-rw-r--r--coin/provisioning/qtci-macos-10.12-x86_64/003-bashprofile.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/006-crashreporter.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/007-SSL_keychain.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/015-xz.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/020-java.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/025-cmake.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/025-homebrew.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/025-mysql.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/025-pip.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/025-postgresql.sh2
-rw-r--r--coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/026-p7zip.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/026-virtualenv.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/027-libclang.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/030-android.sh2
-rw-r--r--coin/provisioning/qtci-macos-10.12-x86_64/030-fbx.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/035-openssl.sh2
20 files changed, 45 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/003-bashprofile.sh b/coin/provisioning/qtci-macos-10.12-x86_64/003-bashprofile.sh
index 0fbe7628..a59e3e63 100644
--- a/coin/provisioning/qtci-macos-10.12-x86_64/003-bashprofile.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/003-bashprofile.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -ex
+
# Read .bashrc if exist
printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh b/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh
index 5819e9de..7b1b967c 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh
@@ -33,6 +33,8 @@
##
#############################################################################
+set -ex
+
# This script modified system settings for automated use
# shellcheck source=../common/try_catch.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/006-crashreporter.sh b/coin/provisioning/qtci-macos-10.12-x86_64/006-crashreporter.sh
index ba8dbdd3..77c41533 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/006-crashreporter.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/006-crashreporter.sh
@@ -1,2 +1,5 @@
#!/bin/sh
+
+set -ex
+
defaults write com.apple.CrashReporter DialogType server
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/007-SSL_keychain.sh b/coin/provisioning/qtci-macos-10.12-x86_64/007-SSL_keychain.sh
index 61406203..2cdedcf5 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/007-SSL_keychain.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/007-SSL_keychain.sh
@@ -1,3 +1,6 @@
#!/bin/sh
+
+set -ex
+
# Enables the usage of temporary keychains for SSL autotests
echo "export QT_SSL_USE_TEMPORARY_KEYCHAIN=1" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/015-xz.sh b/coin/provisioning/qtci-macos-10.12-x86_64/015-xz.sh
index ef676ab3..5171156c 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/015-xz.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/015-xz.sh
@@ -37,6 +37,8 @@
# XZ-Utils are needed for uncompressing xz-compressed files
+set -ex
+
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/InstallPKGFromURL.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/020-java.sh b/coin/provisioning/qtci-macos-10.12-x86_64/020-java.sh
index 743cc9da..4c76f16a 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/020-java.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/020-java.sh
@@ -34,6 +34,9 @@
#############################################################################
# This script installs JDK
+
+set -ex
+
echo "Installing Java Development Kit"
# shellcheck source=../common/try_catch.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh b/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
index 6d57bfaa..72e521c5 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/020-xcode.sh
@@ -42,6 +42,8 @@
# This will give you a file called "Content.part00.cpio.xz" that
# can be renamed to Xcode_8.xz for this script.
+set -ex
+
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh b/coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh
index b460cc02..352c8342 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh
@@ -32,6 +32,9 @@
## $QT_END_LICENSE$
##
#############################################################################
+
+set -ex
+
source "${BASH_SOURCE%/*}/../common/install-commandlinetools.sh"
version="8.3.2"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-cmake.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-cmake.sh
index ddb01d64..3cdbd463 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/025-cmake.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-cmake.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/cmake.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-homebrew.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-homebrew.sh
index 63ec9b69..9fb5d672 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/025-homebrew.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-homebrew.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/homebrew.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-mysql.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-mysql.sh
index ca21f481..0ccd34f9 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/025-mysql.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-mysql.sh
@@ -37,6 +37,8 @@
# MySQL is needed for Qt to be able to support MySQL
+set -ex
+
# shellcheck source=../common/InstallAppFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../common/InstallAppFromCompressedFileFromURL.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-pip.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-pip.sh
index 07c9a617..9e1df19a 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/025-pip.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-pip.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/pip.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-postgresql.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-postgresql.sh
index cb5c1852..3de6cc89 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/025-postgresql.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-postgresql.sh
@@ -37,6 +37,8 @@
# PostgreSQL is needed for Qt to be able to support PostgreSQL
+set -ex
+
# shellcheck source=../common/InstallAppFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../common/InstallAppFromCompressedFileFromURL.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh
index cd4e3fd9..86bee612 100644
--- a/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh
@@ -1 +1,3 @@
+set -ex
+
source "${BASH_SOURCE%/*}/../common/python3.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/026-p7zip.sh b/coin/provisioning/qtci-macos-10.12-x86_64/026-p7zip.sh
index 4fb9ddbc..15511332 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/026-p7zip.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/026-p7zip.sh
@@ -1,4 +1,7 @@
#!/usr/bin/env bash
# Install 7z to be used from command line
+
+set -ex
+
brew update
brew install p7zip
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/026-virtualenv.sh b/coin/provisioning/qtci-macos-10.12-x86_64/026-virtualenv.sh
index 9e4f1d3e..8cdb7108 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/026-virtualenv.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/026-virtualenv.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/virtualenv.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/027-libclang.sh b/coin/provisioning/qtci-macos-10.12-x86_64/027-libclang.sh
index d257ffa1..2a8a90c3 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/027-libclang.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/027-libclang.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
# There is only one mac package and common script uses it as a default
$BASEDIR/../common/libclang.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/030-android.sh b/coin/provisioning/qtci-macos-10.12-x86_64/030-android.sh
index bc8a95e6..0b15d557 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/030-android.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/030-android.sh
@@ -37,6 +37,8 @@
# It also runs update for SDK API, latest SDK tools, latest platform-tools and build-tools version
+set -ex
+
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/030-fbx.sh b/coin/provisioning/qtci-macos-10.12-x86_64/030-fbx.sh
index 50c6796b..acefd8b7 100644
--- a/coin/provisioning/qtci-macos-10.12-x86_64/030-fbx.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/030-fbx.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/fbx_macos.sh
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/035-openssl.sh b/coin/provisioning/qtci-macos-10.12-x86_64/035-openssl.sh
index d109051d..9dd79862 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/035-openssl.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/035-openssl.sh
@@ -35,6 +35,8 @@
# This script install OpenSSL
+set -ex
+
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
# shellcheck source=../common/InstallFromCompressedFileFromURL.sh